namespace Syntriax.Engine.Core;

public abstract class Behaviour2D : Behaviour, IBehaviour2D
{
    public ITransform2D Transform { get; private set; } = null!;

    protected override void OnInitialize() => Transform = BehaviourController.GetRequiredBehaviour<ITransform2D>();
    protected override void OnFinalize() => Transform = null!;
}
