namespace Syntriax.Engine.Core.Debug;

public interface ILogger
{
    Level FilterLevel { get; set; }

    void Log(string message, Level level = Level.Info, bool force = false);

    enum Level
    {
        Info,
        Warning,
        Error,
    };
}
